<div class="plc user">
   	 <div class="plc-menu">
        	{{config.title}}
    </div>
        <div class="px-work-order-process-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut,'transform-select':bodyConfig.animateSelect}">
    <div class="plc-content output-statement-heading">
        <div class="row">
            <div class="col-sm-12">
                <div class="public-horizon-form">
                    <div class="public-horizon">
                        <label class="horizon-label label-client">ME工程师：</label>
	                        <div class="horizon-group horizon-col-client-3">
	                        	 {{config.resourceMeStaff}}{{config.meStaffName}}
	                        </div>
	                        <div class="horizon-group horizon-col-client-3" ng-switch="config.meStaffLocked">
	                        	<label ng-switch-when="true">锁定</label>
	                        </div>
	                        <div class="horizon-btns">
	                            <button class="btn btn-primary" ng-if="!config.resourceMeStaff" ng-click="changeMeStaffPage()">维护</button>
	                            <button class="btn btn-primary" ng-if="config.resourceMeStaff" ng-click="changeMeStaffPage()">更换</button>
	                        </div>
                            <form class="form-horizontal" role="form">
	                        <div class="horizon-btns" ng-switch="config.meStaffLocked">
                                <button class="btn btn-primary" ng-switch-default ng-click="locked()" ng-disabled="!config.resourceMeStaff">锁定</button>
	                            <button class="btn btn-primary" ng-switch-when="false" ng-click="locked()" ng-disabled="!config.resourceMeStaff">锁定</button>
	                            <button class="btn btn-primary" ng-switch-when="true" ng-click="unlockedPage()">解锁</button>
	                            <button class="btn btn-primary" ng-switch-when="" ng-click="locked()" ng-disabled="!config.resourceMeStaff">锁定</button>
	                        </div>
                            </form>
                            <form class="form-horizontal" role="form">
	                         <div class="horizon-btns">
	                            <button class="btn btn-primary" ng-click="logout()" ng-disabled="!config.resourceMeStaff || config.operatorLocked == 'true'">注销</button>
	                        </div>
                            </form>
                    </div>
                    <div class="public-horizon">
                        <label class="horizon-label label-client" >设备操作员工号：</label>
                        <div class="horizon-group horizon-col-client-3" >
                        	{{config.resourceOperator}}{{config.operatorName}}
                        </div>
                        <div class="horizon-group horizon-col-client-4" ng-switch="config.operatorLocked">
                       		<label ng-switch-when="true">锁定</label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    <move-template></move-template>
    <div class="plc-content plato-statement-content">
        <form class="form-horizontal" role="form">
            <div class="row statement-title" style="padding-left:15px;">
                <div class="col-sm-2 col-xs-2" style="width:80%">
                    <label class="control-label label-title">设备号：{{config.resourceName}}</label>
                </div>
                <div class="col-sm-3 col-xs-3">
                </div>
                <div class="col-sm-4 col-xs-4">
                </div>
                <div class="col-sm-4 col-xs-4">
                </div>
            </div>
            <div class="row statement-title" style="padding-left:15px;padding-top:15px;margin-bottom:20px">
                <div class="col-sm-2 col-xs-3">
                	<button class="btn btn-primary" ng-click="meReceiveOrder()" ng-disabled="config.disabledMeReceiverOrderBtn" ng-if="config.isShwoMeReceiveOrderBtn">接单</button>
                </div>
                <div class="col-sm-2 col-xs-3">
                	<button class="btn btn-primary" ng-click="changeWorkOrderStatu()" ng-disabled="config.disabledWorkOrderStatuBtn" ng-if="config.isShowWorkOrderStatuBtn">CM维修结束</button>
                </div>
                <div class="col-sm-2 col-xs-3">
                <!--  -->
                	<button class="btn btn-primary" ng-click="maintenanceResultConfirmation('OK')" ng-disabled="config.disabledMaintenanceResultOKBtn" ng-if="config.isShowMaintenanceResultOKBtn">CM维修结果确认OK</button>
                </div>
                 <div class="col-sm-2 col-xs-3">
                 <!--  -->
                	<button class="btn btn-danger" ng-click="maintenanceResultConfirmation('NG')" ng-disabled="config.disabledMaintenanceResultOKBtn" ng-if="config.isShowMaintenanceResultOKBtn">CM维修结果确认NG</button>
                </div>
                <div style="float:right;margin-right:15px">
                	<button class="btn btn-primary" ng-click="refresh()">刷新</button>
                </div>
            </div>
        </form>
 		<div id="plc-data-item-grid-area" ui-grid="workOrderGrid" ui-grid-selection ng-style="getHeight()"
              ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
              class="plc-data-item-grid ad-basic-grid" >
         </div>
    </div>
</div>
